media-import crashed with ImportError in <module>()

Bug #348531 reported by Steve Beattie on 2009-03-25
6
Affects Status Importance Assigned to Milestone
moblin-media (Ubuntu)
Undecided
Michael Vogt

Bug Description

Binary package hint: moblin-media

Crash occurred on first boot after upgrading from intrepid to jaunty.

ProblemType: Crash
Architecture: i386
DistroRelease: Ubuntu 9.04
ExecutablePath: /usr/bin/media-import
InterpreterPath: /usr/bin/python2.6
Package: moblin-media-import 0.38-0ubuntu3
PackageArchitecture: all
ProcCmdline: python /usr/bin/media-import
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
PythonArgs: ['/usr/bin/media-import']
SourcePackage: moblin-media
Title: media-import crashed with ImportError in <module>()
Traceback:
 Traceback (most recent call last):
   File "/usr/bin/media-import", line 37, in <module>
     import constant
 ImportError: No module named constant
Uname: Linux 2.6.28-11-server i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Steve Beattie (sbeattie) wrote :
Michael Vogt (mvo) wrote :

Please include /var/log/apt/term.log to this report.

I suspect this is a problem that media-import was run while it was upgraded. This is something that python-support does not handle well. We need to switch to python-central with the "include-links" option for this to continue to work during upgrades.

Changed in moblin-media (Ubuntu):
status: New → Incomplete
Steve Beattie (sbeattie) wrote :
Steve Beattie (sbeattie) wrote :
Michael Vogt (mvo) wrote :

Timestamp of the crash file is "2009-03-25 11:57"

Michael Vogt (mvo) wrote :

The upgrade finished at 09:15 so the initial hypothesis of moblin-media running during the upgrade is probably wrong.

Steve Beattie (sbeattie) wrote :

Yes it's unlikely. While (some of) the moblin packages were installed in intrepid before the upgrade, the desktop defaulted to a normal ubuntu desktop (in appearance anyway). It was only after the upgrade occurred that stuff like moblin-system-daemon, maximus, and netbook-launcher appeared.

Michael Vogt (mvo) on 2009-03-26
Changed in moblin-media (Ubuntu):
assignee: nobody → mvo
status: Incomplete → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package moblin-media - 0.38-0ubuntu4

---------------
moblin-media (0.38-0ubuntu4) jaunty; urgency=low

  * make moblin-media-import depend on moblin-media
    (thanks to sbeattie) LP: #348531

 -- Michael Vogt <email address hidden> Thu, 26 Mar 2009 20:45:32 +0100

Changed in moblin-media:
status: Fix Committed → Fix Released
tags: added: iso-testing
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers